{
  "type" : "record",
  "name" : "HpoTerm",
  "namespace" : "org.gel.models.participant.avro",
  "doc" : "This defines an HPO term and its modifiers (possibly multiple)\n    If HPO term presence is unknown we don't have a entry on the list",
  "fields" : [ {
    "name" : "term",
    "type" : "string",
    "doc" : "Identifier of the HPO term"
  }, {
    "name" : "termPresence",
    "type" : [ "null", {
      "type" : "enum",
      "name" : "TernaryOption",
      "doc" : "This defines a yes/no/unknown case",
      "symbols" : [ "yes", "no", "unknown" ]
    } ],
    "doc" : "This is whether the term is present in the participant (default is unknown) yes=term is present in participant,\n        no=term is not present"
  }, {
    "name" : "hpoBuildNumber",
    "type" : [ "null", "string" ],
    "doc" : "hpoBuildNumber"
  }, {
    "name" : "modifiers",
    "type" : [ "null", {
      "type" : "array",
      "items" : {
        "type" : "record",
        "name" : "HpoTermModifiers",
        "doc" : "HPO Modifiers\n    For GMS, hpoModifierCode and hpoModifierVersion will be used",
        "fields" : [ {
          "name" : "laterality",
          "type" : [ "null", {
            "type" : "enum",
            "name" : "Laterality",
            "symbols" : [ "RIGHT", "UNILATERAL", "BILATERAL", "LEFT" ]
          } ]
        }, {
          "name" : "progression",
          "type" : [ "null", {
            "type" : "enum",
            "name" : "Progression",
            "symbols" : [ "PROGRESSIVE", "NONPROGRESSIVE" ]
          } ]
        }, {
          "name" : "severity",
          "type" : [ "null", {
            "type" : "enum",
            "name" : "Severity",
            "symbols" : [ "BORDERLINE", "MILD", "MODERATE", "SEVERE", "PROFOUND" ]
          } ]
        }, {
          "name" : "spatialPattern",
          "type" : [ "null", {
            "type" : "enum",
            "name" : "SpatialPattern",
            "symbols" : [ "DISTAL", "GENERALIZED", "LOCALIZED", "PROXIMAL" ]
          } ]
        }, {
          "name" : "hpoModifierCode",
          "type" : [ "null", "string" ]
        }, {
          "name" : "hpoModifierVersion",
          "type" : [ "null", "string" ]
        } ]
      }
    } ],
    "doc" : "Modifier associated with the HPO term"
  }, {
    "name" : "ageOfOnset",
    "type" : [ "null", {
      "type" : "enum",
      "name" : "AgeOfOnset",
      "symbols" : [ "EMBRYONAL_ONSET", "FETAL_ONSET", "NEONATAL_ONSET", "INFANTILE_ONSET", "CHILDHOOD_ONSET", "JUVENILE_ONSET", "YOUNG_ADULT_ONSET", "LATE_ONSET", "MIDDLE_AGE_ONSET" ]
    } ],
    "doc" : "Age of onset in months"
  } ]
}
